Bug 1264466 - Gdk-pixbuf make check fails on cve-2015-4491
Gdk-pixbuf make check fails on cve-2015-4491
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdk-pixbuf2 (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Benjamin Otte
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 10:10 EDT by Vadim Rutkovsky
Modified: 2015-11-19 03:19 EST (History)
4 users (show)

See Also:
Fixed In Version: gdk-pixbuf2-2.31.6-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 03:19:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 754387 None None None Never

  None (edit)
Description Vadim Rutkovsky 2015-09-18 10:10:42 EDT
Description of problem:
make check for gdk-pixbuf is failing on x86_64

Version-Release number of selected component (if applicable):
gdk-pixbuf2-2.31.6-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run make check

Actual results:
ERROR: cve-2015-4491 - missing test plan
ERROR: cve-2015-4491 - exited with status 134 (terminated by signal 6?)

Expected results:
All tests pass

Additional info:
See https://desktopqe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/desktop-gdk-pixbuf2-RHEL-7.2-2-runtest/26/artifact/run-260402.log
Comment 1 Matthias Clasen 2015-09-18 12:41:37 EDT
See upstream bug 754387 for problems with this testcase.
Comment 6 Vadim Rutkovsky 2015-09-22 19:17:15 EDT
Verified on gdk-pixbuf2-2.31.6-3.el7.x86_64:

SKIP: cve-2015-4491 1 /pixbuf/cve-2015-4491/original # SKIP Not enough memory to load bitmap image
PASS: cve-2015-4491 2 /pixbuf/cve-2015-4491/scale-overflow
PASS: cve-2015-4491 3 /pixbuf/cve-2015-4491/scale-x-overflow
PASS: cve-2015-4491 4 /pixbuf/cve-2015-4491/scale-y-overflow
Comment 7 errata-xmlrpc 2015-11-19 03:19:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2116.html

Note You need to log in before you can comment on or make changes to this bug.